
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8UB1_Register_Enums.h>                  // SFR declarations
#include "InitDevice.h"
#include "SoundSynthesizer_Defs.h"

//-----------------------------------------------------------------------------
// main() Routine
// ----------------------------------------------------------------------------
int main (void)
{
	// Call hardware initialization routine
	enter_DefaultMode_from_RESET();

	// Enable global interrupts
	IE_EA = 1;

	while(1)
   {
		Current_SoundSignal_Increment = SOUND_C5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_C5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_D5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_D5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_E5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_E5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_F5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_F5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_G5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_G5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_A5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_A5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_B5_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_B5_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);

		Current_SoundSignal_Increment = SOUND_C6_INCREMENT;
		Current_FilterClock_Increment = FILTCLK_C6_INCREMENT;

		//delay 1 second
		SFRPAGE = TIMER3_PAGE; TMR3 = 0; while(TMR3<10000);
   }                             
}


